%undefine __libtoolize
%define qtdir /usr/lib/qt2
%define kdedir /usr/lib/kde2-compat

# Laurent - 3.0-0.1mdk - Temporary macros. To remove later
%define prefix		%kdedir
%define _prefix         %kdedir
%define _exec_prefix    %kdedir
%define _bindir         %kdedir/bin/
%define _sbindir        %kdedir/sbin/
%define _sysconfdir     %kdedir/etc/
%define _datadir        %kdedir/share/
%define _includedir     %kdedir/include/
%define _libdir         %kdedir/lib
%define _libexecdir     %kdedir/lib/
%define _localstatedir  %kdedir/var/lib/
%define _sharedstatedir %kdedir/com/
%define _mandir         %kdedir/share/man/
%define _infodir        %kdedir/share/info/
%define _docdir         %kdedir/share/doc/
%define _menudir        /usr/lib/menu

%define kde_major_version 2
%define pkg kdelibs
%define cups 1
%define fam 0
%define unstable 0
%define DATE 20020109

Name: kde2-compat
Version: 2.2.2
Release: alt4

Summary: Compatibility libraries for the K Desktop Environment (KDE) 2.2.x
Group: System/Libraries
Url: http://www.kde.org/
Icon: kde-icon.xpm
License: LGPL

%add_findprov_skiplist %_libdir/libartsc.so.0.0.0
Obsoletes: kdesupport, kdelibs < 3.0

Source: ftp://ftp.kde.org/pub/kde/stable/%version/distribution/tar/generic/source/%pkg-%version.tar.bz2
Source1: kde2-compat-kdedesktop2mdkmenu.pl

Patch1: kdelibs-2.2-iconssearch.patch
Patch2: kdelibs-2.1.1-kstddirs_kmenuedit_or_kmenudrake_patch.patch
Patch3: kdelibs-2.1.1-qt_xft.patch
Patch5: kdelibs-2.1.1-khtml_settings-2.1.1.patch
Patch6: kdelibs-2.2-kio-kcookiejar.patch
Patch7: kdelibs-2.2-keditcl.diff
Patch8: kdelibs-2.2-xinerama-enble-final-fix-compile.diff
Patch9: kdelibs-2.2.1-disable-gmcop-compile.patch
Patch11: kdelibs-2.2.2-selectedicons.patch
Patch12: kdelibs-2.2.2-fix-kdeprint-preview-button.patch
Patch13: kdelibs-2.2.2-kicondialog.cpp.patch
Patch14: kdelibs-2.2.2-kstddirs-symlinks.patch
Patch15: kdelibs-2.2.2-fix-popupmenu-image.patch
Patch16: kdelibs-2.2.2-kfileshare.v9.patch
#
Patch17: kdelibs-2.2.2-disable-ok-button-in-properties-dialogbox-when-filename-is-empty.patch
Patch18: kdelibs-2.2.2-fix-kintvalidator.patch
Patch23: kdelibs-2.1.1-cookieperms.patch
Patch25: kdelibs-2.1.1-path.patch
Patch26: kdelibs-2.2-cookies.patch
Patch27: kdelibs-2.2.2-fix-file-dialogbox-dont-add-separator-in-bookmaks-when-bookmarks-is-empty.patch
Patch28: kdelibs-2.2.2-fix-cups-config-dialogbox-use-kintvalidator.patch
Patch29: kdelibs-2.2.2-fix-cupsdconf.patch
Patch30: kdelibs-2.2.2-fix-filter-dlg.patch
Patch31: kdelibs-2.2.2-fix-kjs-mem-leak.patch

Patch50: kdelibs-2.2.2-kfont_euro.patch

# ALT patches
Patch101: kdelibs-2.2.1-makedoc.patch
# Reset $HOME to right value.
Patch102: kdelibs-2.2.1-kdesu_stub-sethomedir.patch
# Hack to read 2 first symbols from .desktop, .directory etc.
Patch103: kdelibs-2.2.2-longlocale.patch
Patch104: kdelibs-2.2-kspell.patch
# Locate executebles by X_OK (not R_OK)
Patch105: kdelibs-2.2.2-exists_exe.patch
Patch106: kdelibs-2.2.2-marbletheme.patch
Patch107: kdelibs-2.2.2-kfileshare_i18n.v9.patch
Patch108: kdelibs-2.2.2-pcre_compile.patch

# RH patches
Patch201: kdelibs-2.0-final.patch
Patch202: kdelibs-2.0-nodebug.patch
Patch203: klauncher-escape.patch
#
Patch206: kdelibs-2.1-noxs.patch
Patch207: kdelibs-2.1.1-debug.patch
#
Patch210: kdelibs-2.2-ssl.patch
#
Patch214: khtml-onChange.patch
Patch215: kdelibs-2.2.1-glib.patch

# Automatically added by buildreq on Thu Jan 09 2003
#BuildRequires: XFree86-devel XFree86-libs bzlib-devel gcc-c++ glib2-devel libalsa2-devel libaudiofile-devel libcups-devel libjpeg-devel liblcms libmng libpcre-devel libpng-devel libqt2-devel libssl-devel libstdc++-devel libtiff-devel libxml2-devel libxslt-devel pkgconfig qt2-doc xml-utils zlib-devel
BuildRequires: XFree86-devel XFree86-libs bzlib-devel gcc2.96-c++
BuildRequires: glib2-devel libalsa2-devel libaudiofile-devel libcups-devel
BuildRequires: libjpeg-devel liblcms libmng libpcre-devel libpng-devel
BuildRequires: libqt2-devel libssl-devel libstdc++2.96-devel libtiff-devel
BuildRequires: libxml2-devel libxslt-devel pkgconfig qt2-doc xml-utils zlib-devel

%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdelibs package contains a variety of libraries used by
KDE, including: kdecore, the KDE core library; kdeui, a user interface
library; kfm, the file manager; khtmlw, HTML widgets; kfile, for file
access; kspell, the spelling checker; jscript, for javascript; kab,
the addressbook; kimgio, for image manipulation; and arts, for sound,
mixing, and animation.

%package devel
Group: Development/KDE and QT
Summary: Compatibility libraries for the K Desktop Environment (KDE) 2.2.x
Requires: %name = %version-%release, libqt2-devel
Obsoletes: kdelibs-devel < 3.0

%description devel
Headers and other files for %name development

%prep
%setup -q -n %pkg-%version

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1

%patch17 -p1
%patch18 -p1
%patch23 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
#%patch29 -p1
%patch30 -p1
%patch31 -p1

%patch50 -p1

# ALT patches
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1

%patch201 -p1
%patch202 -p1
%patch203 -p1
#
%patch206 -p1
#
%patch207 -p1
#
%patch210 -p1
#
%patch214 -p1
%patch215 -p1

# Make the version number say what it should say
perl -pi -e 's,#define KDE_VERSION_STRING .*,#define KDE_VERSION_STRING "%version-%release",g' kdecore/kapp.h


[ -x /usr/bin/autoconf-2.13 ] && ln -s /usr/bin/autoconf-2.13 autoconf
[ -x /usr/bin/autoheader-2.13 ] && ln -s /usr/bin/autoheader-2.13 autoheader
[ -x /usr/bin/aclocal-1.4 ] && ln -s /usr/bin/aclocal-1.4 aclocal
[ -x /usr/bin/automake-1.4 ] && ln -s /usr/bin/automake-1.4 automake

export PATH=./:$PATH

make -f Makefile.cvs ||:

# Fix some broken autogenerated files
cd arts/mcopidl
flex -oscanner.cc scanner.ll
cd ../../dcop/dcopidl
flex -oscanner.cc scanner.ll
cd ../..

%build
export QTDIR=%qtdir PATH=./:$PATH

%if %unstable
%add_optflags -O0 -DDEBUG=1
%else
%add_optflags -O3 -DNDEBUG -UDEBUG -DNODEBUG -UDEBUG_ASYNC_TRANSFER -UVPORT_DEBUG -UDEBUG_IO -UDEBUG_MESSAGES -UDEBUG_AUTH -UDEBUG_CONNECTION_DATA -DYYDEBUG=0 -UNETWMDEBUG -UCSS_DEBUG -UCSS_STYLESHEET_DEBUG -USPEED_DEBUG -UKJS_DEBUGGER -UFORMS_DEBUG -UDEBUG_LAYOUT -UDEBUG_DRAW_BORDER -UPARSER_DEBUG -UDECODE_DEBUG -UCACHE_DEBUG -UBUFFER_DEBUG -UJPEG_DEBUG -UDEBUG_LINEBREAKS -UBOX_DEBUG -UTABLE_DEBUG -UYYERROR_VERBOSE -UKJS_DEBUG_MEM -UMIDIOUTDEBUG -UGENERAL_DEBUG_MESSAGES
%endif

# workaround for libbz2
%add_optflags -DNEED_BZ2_PREFIX

export CC=gcc-2.96 CXX=g++-2.96 CXXFLAGS="%optflags" CFLAGS="%optflags" LDFLAGS="-L/usr/lib/gcc-lib/i586-alt-linux/2.96"

%configure \
	--prefix=%prefix \
%if %cups
	--enable-cups \
%endif
	--includedir=%prefix/include \
%if !%unstable
	--disable-debug \
	--without-debug \
	--enable-final \
%endif
	--disable-mt \
	--disable-rpath \
%if !%fam
	--disable-libfam \
%endif
	--enable-mitshm \
        --with-xinerama \
        --with-distribution="%distribution" \
        --with-alsa \
	--program-transform-name=""

%make CC=gcc-2.96 CXX=g++-2.96 CFLAGS="%optflags" CXXFLAGS="%optflags"

%install
export QTDIR=%qtdir

export DESTDIR=%buildroot
%make DESTDIR=%buildroot install

install -m 755 %SOURCE1 %buildroot%prefix/bin/kdedesktop2mdkmenu.pl

chmod a+x %buildroot%prefix/lib/*

# Make symlinks relative
pushd %buildroot%prefix/share/doc/HTML/en
for i in *; do
	if [ -d $i -a -L $i/common ]; then
		rm -f $i/common
		ln -sf ../common $i
	fi
done
popd

mkdir -p %buildroot%_docdir/%name-devel-%version
install -m 644 KDE2PORTING.html %buildroot%_docdir/%name-devel-%version

mkdir -p %buildroot/usr/lib
pushd %buildroot/usr/lib
for i in kde2-compat/lib/*.so.*; do
  ln -nfs $i .
done
popd

mkdir -p %buildroot/usr/include
pushd %buildroot/usr/include
ln -nfs ../lib/kde2-compat/include kde2
popd

perl -pi -e "s,^libdir='/usr/lib',libdir='/usr/lib/kde2-compat/lib',g" %buildroot/usr/lib/kde2-compat/lib/*.la

rm -f %buildroot/usr/lib/libartsc.so.0
rm -f %buildroot/usr/lib/libartsc.so.0.0.0
rm -f %buildroot/usr/lib/libartscbackend.so.0
rm -f %buildroot/usr/lib/libartscbackend.so.0.0.0
rm -f %buildroot/usr/lib/libartsdsp.so.0
rm -f %buildroot/usr/lib/libartsdsp.so.0.0.0
rm -f %buildroot/usr/lib/libartsdsp_st.so.0
rm -f %buildroot/usr/lib/libartsdsp_st.so.0.0.0
rm -f %buildroot/usr/lib/libartswavplayobject.so.0
rm -f %buildroot/usr/lib/libartswavplayobject.so.0.0.0

rm -f %buildroot/usr/lib/libkjava.so.1
rm -f %buildroot/usr/lib/libkjava.so.1.0.0
rm -f %buildroot/usr/lib/libkjs.so.1
rm -f %buildroot/usr/lib/libkjs.so.1.0.0
rm -f %buildroot/usr/lib/libkmid.so.0
rm -f %buildroot/usr/lib/libkmid.so.0.0.95
rm -f %buildroot/usr/lib/libktexteditor.so.0
rm -f %buildroot/usr/lib/libktexteditor.so.0.0.0

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
/usr/lib/*so.*
%prefix/bin/dcop*
%prefix/bin/kbuildsycoca
%prefix/bin/preparetips
%prefix/bin/imagetops
%prefix/bin/kcookiejar
%prefix/bin/kshell
%prefix/bin/kwrapper
%prefix/bin/kde*
%prefix/bin/kdont*
%prefix/bin/kio*
%prefix/bin/kpac_*
%prefix/bin/kconf_*
%prefix/bin/klauncher
%prefix/bin/kmailservice
%prefix/bin/lnusertemp
%prefix/bin/settheme
%prefix/bin/ksendbugmail
%prefix/bin/make*
%prefix/bin/meinproc
%prefix/bin/xml*
%prefix/bin/kdb2html
%prefix/bin/checkXML
%prefix/lib/*style.*
%prefix/lib/dcop*
%prefix/lib/kconf*
%prefix/lib/kbuildsycoca*
%prefix/lib/kcookiejar*
%prefix/lib/kded*
%dir %prefix/lib/kde2
%prefix/lib/kde2/*
%prefix/lib/kio*
%prefix/lib/klauncher*
%prefix/lib/libDCOP*
%prefix/lib/libkab.*
%prefix/lib/libkde*
%prefix/lib/libkfile.*
%prefix/lib/libkhtml*.*
%prefix/lib/libkio.*
%prefix/lib/libkjava.*
%prefix/lib/libkjs.*
%prefix/lib/libkparts.*
%prefix/lib/libkscreensaver.*
%prefix/lib/libkspell.*
%prefix/lib/libkssl.*
%prefix/lib/libksycoca.*
%prefix/lib/libktexteditor.*
%dir %prefix/share/apps
%prefix/share/apps/*
%dir %prefix/share/config
%config(noreplace) %prefix/share/config/*
%prefix/share/icons/*
%dir %prefix/share/mimelnk
%prefix/share/mimelnk/*
%dir %prefix/share/services
%prefix/share/services/*.kimgio
%prefix/share/services/*.protocol
%prefix/share/services/*.desktop
%dir %prefix/share/services/kded
%prefix/share/services/kded/*
%dir %prefix/share/servicetypes
%prefix/share/servicetypes/*
%doc %prefix/share/doc/HTML/*
%if %cups
%prefix/bin/cups*
%prefix/lib/libcups*
%endif

%prefix/bin/knotify
%prefix/bin/artsmessage
%prefix/lib/libkmid.*
%prefix/lib/libqtmcop.*
%prefix/lib/knotify*
%prefix/lib/libx11globalcomm.*
%prefix/lib/libartskde*
%dir %prefix/lib/mcop
%dir %prefix/lib/mcop/Arts
%prefix/lib/mcop/Arts/*
%prefix/lib/mcop/*.mcopclass
%prefix/lib/mcop/*.mcoptype
%prefix/bin/artscat
%prefix/bin/artsd*
%prefix/bin/artsp*
%prefix/bin/artss*
%prefix/bin/artsw*
%prefix/lib/libartsc*.la
%prefix/lib/libartsc*.so*
%prefix/lib/libartsdsp*.la
%prefix/lib/libartsdsp*.so*
%prefix/lib/libartsflow*.la
%prefix/lib/libartsflow*.so*
%prefix/lib/libartswav*.la
%prefix/lib/libartswav*.so*
%prefix/lib/libmcop.*
%prefix/lib/libmcop_mt.*
%prefix/lib/libsound*
%prefix/lib/libkmedia*

%files devel
%prefix/bin/kdedesktop2mdkmenu.pl
%prefix/bin/kde-config
%prefix/bin/artsc-config
%prefix/bin/mcopidl
%prefix/include
/usr/include/kde2

%changelog
* Thu Jan 09 2003 Sergey V Turchin <zerg@altlinux.ru> 2.2.2-alt4
- fix Provides

* Thu Nov 14 2002 Sergey V Turchin <zerg@altlinux.ru> 2.2.2-alt3
- rebuild

* Mon May 06 2002 Sergey V Turchin <zerg@altlinux.ru> 2.2.2-alt2
- add kdedesktop2mdkmenu.pl to -devel (implemented packaging bug)
- mv -r %prefix/include/kde/* %prefix/include

* Wed Mar 27 2002 Harald Hoyer <harald@redhat.de>
- first version of kde2-compat
